# SparseMatrix Class Reference

`#include <sparsematrix.hpp>`

List of all members.

## Public Member Functions
| SparseMatrix (const mxArray *ptr)
| ~SparseMatrix ()
int | numelems () const
int | numelems (int c) const
void | getColsAndRows (int *cols, int *rows) const
bool | copyto (SparseMatrix &dest) const
void | copyto (double *dest) const
## Static Public Member Functions
static int | getSizeOfSparseMatrix (const mxArray *ptr)
static bool | isLowerTri (const mxArray *ptr)
static bool | inIncOrder (const mxArray *ptr)
## Protected Attributes
int | h
int | w
int | nnz
mwIndex * | jc
mwIndex * | ir
double * | x
## Friends
int | height (const SparseMatrix &A)
int | width (const SparseMatrix &A)

## Detailed Description

Definition at line 34 of file sparsematrix.hpp.

## Constructor & Destructor Documentation

SparseMatrix::SparseMatrix | ( | const mxArray * | ptr | ) | `[explicit]`

SparseMatrix::~SparseMatrix | ( |  | ) |

## Member Function Documentation

int SparseMatrix::numelems | ( |  | ) | const`[inline]`

Definition at line 58 of file sparsematrix.hpp.

int SparseMatrix::numelems | ( | int | c | ) | const

void SparseMatrix::getColsAndRows | ( | int * | cols,
|  | int * | rows |
| ) |  |  | const

bool SparseMatrix::copyto | ( | SparseMatrix & | dest | ) | const

void SparseMatrix::copyto | ( | double * | dest | ) | const

static int SparseMatrix::getSizeOfSparseMatrix | ( | const mxArray * | ptr | ) | `[static]`

static bool SparseMatrix::isLowerTri | ( | const mxArray * | ptr | ) | `[static]`

static bool SparseMatrix::inIncOrder | ( | const mxArray * | ptr | ) | `[static]`

## Friends And Related Function Documentation

int height | ( | const SparseMatrix & | A | ) | `[friend]`

Definition at line 52 of file sparsematrix.hpp.

int width | ( | const SparseMatrix & | A | ) | `[friend]`

Definition at line 53 of file sparsematrix.hpp.

## Member Data Documentation

int SparseMatrix::h`[protected]`

Definition at line 92 of file sparsematrix.hpp.

int SparseMatrix::w`[protected]`

Definition at line 93 of file sparsematrix.hpp.

int SparseMatrix::nnz`[protected]`

Definition at line 94 of file sparsematrix.hpp.

mwIndex* SparseMatrix::jc`[protected]`

Definition at line 95 of file sparsematrix.hpp.

mwIndex* SparseMatrix::ir`[protected]`

Definition at line 96 of file sparsematrix.hpp.

double* SparseMatrix::x`[protected]`

Definition at line 97 of file sparsematrix.hpp.

The documentation for this class was generated from the following file:

- contrib/MatlabInterface/src/sparsematrix.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines